	/* Adapted from the Bookmarklet code from http://tincanapi.com/bookmarklet/ */
       


	 var lib = "https://tincanapi.com/wp-content/assets/Bookmarklet/3.4.0/bookmarklet-min.js";

	var LRSkey = '*****';
        var LRSpass = '****';
        var LRSendpoint = '****';
	var auth = "";
	
              


	function encode64(input) {
            var keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",
                output = "",
                chr1, chr2, chr3,
                enc1, enc2, enc3, enc4
                i = 0;

            chr1 = chr2 = chr3 = "";
            enc1 = enc2 = enc3 = enc4 = "";

            do {
                chr1 = input.charCodeAt(i++);
                chr2 = input.charCodeAt(i++);
                chr3 = input.charCodeAt(i++);

                enc1 = chr1 >> 2;
                enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
                enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
                enc4 = chr3 & 63;

                if (isNaN(chr2)) {
                   enc3 = enc4 = 64;
                }
                else if (isNaN(chr3)) {
                   enc4 = 64;
                }

                output = output +
                    keyStr.charAt(enc1) +
                    keyStr.charAt(enc2) +
                    keyStr.charAt(enc3) +
                    keyStr.charAt(enc4);
                chr1 = chr2 = chr3 = "";
                enc1 = enc2 = enc3 = enc4 = "";
            } while (i < input.length);

            return output;
        }




        function generateBookmarklet() {
		
	   var email = document.getElementById('email').value;
           var name = document.getElementById('name').value;
		

            

            if (isEmpty(name)) {
                alert("Name field is invalid.");
                return;
            }

	    if (isEmpty(email) || ! validateEmail(email)) {
            	alert("Email field is invalid.");
	        return;
            }


            if (isEmpty(name) || isEmpty(email)) {
                alert("All fields are required.");
                return;
            }

            auth = "Basic " + encode64(LRSkey + ":" + LRSpass);

            document.getElementById('bookmarklet').innerHTML = "Save my Learning";
            document.getElementById('bookmarklet').href = generateHref(auth, LRSendpoint, email, name);
	    document.getElementById('bookmarkletContainer').style.visibility = "visible";


        }

        function generateHref(auth, endpoint, email, name) {
            return [
                'javascript: function rbm(){window.rbmAuth="',
                auth,
                '",window.rbmEndpoint="',
                endpoint,
                '",window.rbmEmail="',
                email,
                '",window.rbmName="',
                name,
                '";',
                'var a=document,b=a.createElement("sc"+"ript"),c=a.body,d=a.location;',
                'b.setAttribute("src","',
                lib,
                '");c.appendChild(b)}rbm();void 0'
            ].join("");
        }

        function validateEmail(email) {
            var expr = /\S+@\S+\.\S+/;
            var regex = new RegExp(expr);
            return email.match(regex);
        }

        function isEmpty(str) {
            return (!str || !str.length);
        }
